Bug 259364 - net/dhcpcd: Update to 9.4.1
Summary: net/dhcpcd: Update to 9.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://roy.marples.name/projects/pos...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-22 18:45 UTC by Dries Michiels
Modified: 2021-10-31 19:44 UTC (History)
2 users (show)

See Also:


Attachments
dhcpcd.diff (858 bytes, patch)
2021-10-22 18:50 UTC, Dries Michiels
driesm: maintainer-approval+
Details | Diff
dhcpcd.diff (1001 bytes, patch)
2021-10-23 10:35 UTC, Dries Michiels
driesm: maintainer-approval+
Details | Diff
dhcpcd.diff (3.04 KB, patch)
2021-10-31 07:37 UTC, Dries Michiels
driesm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels freebsd_committer 2021-10-22 18:45:09 UTC

    
Comment 1 Dries Michiels freebsd_committer 2021-10-22 18:50:46 UTC
Created attachment 228952 [details]
dhcpcd.diff

Poudriere testport loks gods
Comment 2 Dries Michiels freebsd_committer 2021-10-22 19:00:18 UTC
The committer taking this bug please also take a look at 258185 for committing.
Comment 3 Daniel Engberg freebsd_committer 2021-10-23 10:17:37 UTC
Remove the second site listed in MASTER_SITES as its stale (by quite a bit), you might also convert the port to DISTVERSION as recommended by Porter's Handbook while at it. Not sure if it matters all the much but according to the source it's not related to GNU autotools, https://github.com/NetworkConfiguration/dhcpcd/blob/master/configure (GNU_CONFIGURE)
Comment 4 Dries Michiels freebsd_committer 2021-10-23 10:35:39 UTC
Created attachment 228959 [details]
dhcpcd.diff

Thanks for the review!

Remove stale master site and convert to DISTVERSION.
Removing GNU_CONFIGURE makes the port not build anymore so keep for now.
Comment 5 Dries Michiels freebsd_committer 2021-10-31 07:37:21 UTC
Created attachment 229161 [details]
dhcpcd.diff

Rebase, drop patches that are included in 9.4.1 release.
Comment 6 Yasuhiro Kimura freebsd_committer 2021-10-31 09:21:09 UTC
Take.
Comment 7 commit-hook freebsd_committer 2021-10-31 09:32:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=75ddb35a300db04c51807c9da7fadcf387ff7e77

commit 75ddb35a300db04c51807c9da7fadcf387ff7e77
Author:     Dries Michiels <driesm.michiels@gmail.com>
AuthorDate: 2021-10-31 09:18:05 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-31 09:31:18 +0000

    net/dhcpcd: Update to 9.4.1

    While I'm here, pet portclippy

    ChangeLog:      https://roy.marples.name/projects/posts/dhcpcd-9-4-1_released/
    PR:             259364

 net/dhcpcd/Makefile                                      | 14 ++++++--------
 net/dhcpcd/distinfo                                      |  6 +++---
 net/dhcpcd/files/patch-hooks_Makefile (gone)             |  8 --------
 net/dhcpcd/files/patch-src_Makefile (gone)               | 11 -----------
 net/dhcpcd/files/patch-src_dev_Makefile (gone)           |  8 --------
 net/dhcpcd/files/patch-tests_crypt_Makefile (gone)       |  8 --------
 net/dhcpcd/files/patch-tests_eloop-bench_Makefile (gone) |  8 --------
 7 files changed, 9 insertions(+), 54 deletions(-)
Comment 8 Yasuhiro Kimura freebsd_committer 2021-10-31 09:34:12 UTC
Committed with minor refinement. Thanks!
Comment 9 Daniel Engberg freebsd_committer 2021-10-31 19:44:31 UTC
Hi, sorry for the late reply

What I meant was that it "technically" should use HAS_CONFIGURE than GNU but if that breaks it it's not a huge deal.

Best regards,
Daniel